# TIFFReadRawTile

Section: Misc. Reference Manual Pages (3T)
Updated: October 15, 1995
Index
Return to Main Contents

## NAME

TIFFReadRawTile - return an undecoded tile of data from an open TIFF file

## SYNOPSIS

#include <tiffio.h>
tsize_t TIFFReadRawTile(TIFF* tif, ttile_t tile, tdata_t buf, tsize_t size)

## DESCRIPTION

Read the contents of the specified tile into the (user supplied) data buffer. Note that the value of tile is a ``raw tile number.'' That is, the caller must take into account whether or not the data is organized in separate planes (PlanarConfiguration=2). TIFFComputeTile automatically does this when converting an (x,y,z,sample) coordinate quadruple to a tile number. To read a full tile of data the data buffer should typically be at least as large as the value returned by TIFFTileSize.

## RETURN VALUES

The actual number of bytes of data that were placed in buf is returned; TIFFReadEncodedTile returns -1 if an error was encountered.

## DIAGNOSTICS

All error messages are directed to the TIFFError(3T) routine.

## SEE ALSO

libtiff(3T), TIFFOpen(3T), TIFFReadEncodedTile(3T), TIFFReadTile(3T), TIFFTileSize(3T)

## Index

NAME
SYNOPSIS
DESCRIPTION
RETURN VALUES
DIAGNOSTICS
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 01:31:38 GMT, November 23, 1999